http://databrew.{region}.amazonaws.com/projects/{name}/sendProjectSessionActionPerforms a recipe step within an interactive DataBrew session that's currently open.
The name of the project to apply the action to.
If true, the result of the recipe step will be returned, but not applied.
The index from which to preview a step. This index is used to preview the result of steps that have already been applied, so that the resulting view frame is from earlier in the view frame stack.
Represents the data being transformed during an action.
Represents a single step from a DataBrew recipe to be performed.
A unique identifier for an interactive session that's currently open and ready for work. The action will be performed on this session.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://databrew.{region}.amazonaws.com/projects/{name}/sendProjectSessionAction' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://databrew.{region}.amazonaws.com/projects/{name}/sendProjectSessionActionPerforms a recipe step within an interactive DataBrew session that's currently open.
The name of the project to apply the action to.
If true, the result of the recipe step will be returned, but not applied.
The index from which to preview a step. This index is used to preview the result of steps that have already been applied, so that the resulting view frame is from earlier in the view frame stack.
Represents the data being transformed during an action.
Represents a single step from a DataBrew recipe to be performed.
A unique identifier for an interactive session that's currently open and ready for work. The action will be performed on this session.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://databrew.{region}.amazonaws.com/projects/{name}/sendProjectSessionAction' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}